package com.hw.mes.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 托盘信息对象 mes_base_pallet_info
 * 
 * @author Yinq
 * @date 2024-01-26
 */
public class MesBasePalletInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 托盘ID */
    private Long palletInfoId;

    /** RFID编码 */
    @Excel(name = "RFID编码")
    private String palletInfoCode;

    public void setPalletInfoId(Long palletInfoId) 
    {
        this.palletInfoId = palletInfoId;
    }

    public Long getPalletInfoId() 
    {
        return palletInfoId;
    }
    public void setPalletInfoCode(String palletInfoCode) 
    {
        this.palletInfoCode = palletInfoCode;
    }

    public String getPalletInfoCode() 
    {
        return palletInfoCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("palletInfoId", getPalletInfoId())
            .append("palletInfoCode", getPalletInfoCode())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
